/* Jungarve Bygg AB */

/* Typsnitt */

/*Industry, sans-serif */
@import url("https://use.typekit.net/cfl6ejc.css");



/* Animationer */
@import url('https://unpkg.com/aos@2.3.1/dist/aos.css');

/* ==========================================================================
Generellt 
========================================================================== */
:root {
    /* 	Layout  */
    --col-padding: 3rem;
    --menu-height: 8rem;
    --menu-height-scrolled: 7rem;

    /* 	Colors */
    --primary-color: 234, 108, 6;
    --secondary-color: 0, 60, 90;

    --black-color: 17, 17, 17;
    --gray-dark-color: 51, 51, 51;
    --gray-light-color: 242, 242, 242;
    --white-color: 255, 255, 255;

    /* 	Typography */
    --base-size: 1.6rem;

    /* 	Mobile nav */
    --activate-mobile-menu: 1000;
    --mobile-menu-height: 6rem;
    --mobile-menu-bg: 255, 255, 255;
}

/* Layout
========================================================================== */
.section-block {
    padding: 13rem 5rem;
}

.section-block-wrapper {
    max-width: 140rem;
}

/* Specifika paddings */
.pt-0 .section-block {
    padding-top: 0;
}

.pb-0 .section-block {
    padding-bottom: 0;
}

/* Specifika bredder */
.mw-1200 .section-block-wrapper {
    max-width: 120rem;
}


@media only screen and (max-width: 1024px) {
    .section-block {
        padding: 7.5rem 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-block {
        padding: 5rem 2rem;
    }
}

/* Text och typsnitt
========================================================================== */
body {
    font-family: open-sans, sans-serif;
}

/* Rubriker */
.text-label {
    position: relative;
    padding-bottom: .9em;
    font-family: inherit;
    font-size: 1.4rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .1em;
}

.text-label::before {
    content: '';
    display: inline-block;
    width: .6em;
    height: .6em;
    border-radius: 50%;
    margin-right: .5em;
    background-color: rgb(var(--primary-color));
}

.section-title {
    padding-bottom: .3em;
    font-family: industry, sans-serif;
    font-size: 4rem;
    font-weight: 400;
    line-height: 1.2;
    color: rgb(var(--black-color));
}

.small-title {
    padding-bottom: .5em;
    font-family: industry, sans-serif;
    font-size: 2.8rem;
    font-weight: 400;
    line-height: 1.4;
    color: rgb(var(--black-color));
}

/* Brodtext och lankar */
p {
    font-weight: 400;
    color: rgb(var(--gray-dark-color));
}

a {
    color: rgb(var(--primary-color));
    font-size: 1.6rem;
    font-weight: 400;
    text-decoration: none;
}

/* ovriga klasser */
.text-bold {
    font-weight: 700;
}

.text-center {
    text-align: center;
}

.text-block {
    max-width: 90rem;
}

@media only screen and (max-width: 1024px) {
    .section-title {
        font-size: 3.5rem;
    }
}

@media only screen and (max-width: 550px) {
    .section-title {
        font-size: 3rem;
    }

    .small-title {
        font-size: 2.3rem;
    }

    .text-label {
        font-size: 1.2rem;
    }
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
    display: flex;
    margin-top: 3rem;
}

.btn-wrapper.center {
    justify-content: center;
}

/* Knappar */
.btn {
    display: inline-block;
    min-width: 20rem;
    padding: 1.3rem 3rem;
    font-size: 1.3rem;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: .1em;
    border-radius: 8px;
    -webkit-transition: all .4s ease;
    transition: all .4s ease;
}

.btn::after {
    content: ' \2023';
    display: inline-block;
    margin-left: .5rem;
    transition: transform .4s ease;
}

.btn:hover::after {
    transform: translateX(1rem);
    transition: transform .4s ease;
}

.btn-primary-filled {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--primary-color));
}

/* Cirkelikon */
.circle-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;
    padding: 0;
    margin: .5rem;
    font-size: 0;
    color: rgb(var(--white-color));
    text-decoration: none;
    border-radius: 50%;
    background-color: rgb(var(--primary-color));
    transition: .3s ease;
}

.circle-icon:hover {
    color: rgb(var(--white-color));
    background-color: rgb(var(--secondary-color));
}

.circle-icon i:before,
.circle-icon em:before {
    font-size: var(--base-size);
}

/* Bouncing arrow */
.bouncing-arrow {
    position: absolute;
    z-index: 1;
    right: 5rem;
    bottom: -1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 6rem;
    height: 6rem;
    border-radius: 50% 50% 0 0;
    background-color: rgb(var(--white-color));
}

.bouncing-arrow::after {
    content: '';
    position: absolute;
    z-index: -1;
    top: .5rem;
    left: .5rem;
    width: 5rem;
    height: 5rem;
    background-color: rgb(var(--primary-color));
    border-radius: 50%;
}

.bouncing-arrow i {
    color: rgb(var(--white-color));
    font-size: 3rem;
    font-weight: 500;
    animation: bounce 2s infinite;
}

@keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-1rem);
    }

    60% {
        transform: translateY(-.5rem);
    }
}

@media only screen and (max-width: 480px) {
    .btn {
        display: block;
        width: 100%;
    }
}

/* Farger
========================================================================== */
/* Bakgrundsfarger */
.bg-primary {
    background-color: rgb(var(--primary-color));
}

.bg-secondary {
    background-color: rgb(var(--secondary-color));
}

.bg-gray {
    background-color: rgb(var(--gray-light-color));
}

.gradient-white-secondary {
    background-image: linear-gradient(to bottom, rgb(var(--white-color)) 50%, rgb(var(--secondary-color)) 50%);
}

.gradient-white-secondary-5 {
    background-image: linear-gradient(to top, rgb(var(--white-color)) 5rem, rgb(var(--secondary-color)) 5rem);
}



/* Textfarger */
.text-primary {
    color: rgb(var(--primary-color));
}

.text-secondary {
    color: rgb(var(--secondary-color));
}

.text-white {
    color: rgb(var(--white-color));
}

.text-muted {
    color:rgb(var(--white-color), .7);
}

/* Cards
========================================================================== */
/* Cards
========================================================================== */
/* Cards 4 */
.cards-wrapper {
    display: flex;
    flex-wrap: wrap;
    margin-top: 3rem;
}

/* Specifika bredder */
.cards-wrapper.w-50 .card-item {
    width: calc((100% / 2) - 2rem);
    margin: 1rem;
}

@media only screen and (max-width: 950px) {
    .cards-wrapper.w-50 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

.cards-4 .card-item {
    padding: 4rem;
    background-color: rgb(var(--gray-light-color));
    transition: 0.3s ease-in-out;
    border-radius: 2px;
}

/* Forsta kortet */
.cards-4 .card-item:nth-child(1) {
    background-image: linear-gradient(rgba(var(--primary-color), .85), rgba(var(--primary-color), .85)), url('/assets/images/kok-gra-700.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

/* End forsta kortet */
.cards-4 .icon-wrapper i {
    margin-bottom: 3rem;
    font-size: 6rem;
}

.cards-4  .card-item .text-wrapper {
    width: 100%;
    margin-top: 2rem;
    padding-top: 3rem;
    border-top: 1px dotted rgb(var(--primary-color));
}

.cards-4 .card-item:nth-child(1) .text-wrapper {
    border-top: 1px dotted rgb(var(--white-color));
}

@media only screen and (max-width: 650px) {
    .cards-4 .card-item {
        padding: 3rem 2rem;
    }

    .cards-4 .icon-wrapper i {
        margin-bottom: 1rem;
        font-size: 5rem;
      
    }
}


/* Split wrapper
========================================================================== */
.split-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.split-wrapper.reverse {
    flex-direction: row-reverse;
}

.split-content {
    width: 50%;
    padding: 5rem;
}

.split-image {
    width: 50%;
    border-radius: 2px;
}

/* Centrera content */
.split-wrapper .align-center {
    align-self: center;
}

@media screen and (max-width: 1300px) {
    .split-content {
        padding: 3rem;
    }
}

@media screen and (max-width: 1000px) {

    .split-content {
        width: 100%;
    }

    .split-image {
        width: 100%;
        min-height: 30rem;
    }
}

@media screen and (max-width: 580px) {
    .split-wrapper {
        background: transparent;
    }

    .split-content {
        padding: 0 0 3rem 0;
    }
}

/* Bakgrundsbild
========================================================================== */
.bg-image {
    position: relative;
}

.bg-image-wrapper {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Header / Navigation
========================================================================== */

header.scrolled {
    box-shadow: 0 1rem 3rem  rgb(var(--black-color), .1);
    transition: all .2s ease;
}

header .container {
    padding: 0 2rem 0 0;
}

/* header logo */
.header-logo {
    flex-basis: 0;
    flex: 1 1 0px;
}

.header-logo img {
    padding: 0;
}

/* nav */
nav.mainmenu a {
    font-weight: 600;
    font-size: 1.3rem;
    text-transform: uppercase;
    letter-spacing: .1em;
    color:  rgb(var(--gray-dark-color));
}

nav.mainmenu a:hover {
    color: rgb(var(--primary-color));
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    max-width: 100% !important;
    min-height: calc(100vh - 13rem);
    background-color:  rgb(var(--black-color), 0.4);
}

.top-section .section-block-wrapper {
    max-width: 80rem;
}

.top-section h1 {
    font-family: industry, sans-serif;
    font-size: 5rem;
    font-weight: 400;
    line-height: 1.3em;
    color:  rgb(var(--white-color));
    padding-bottom: .3em;
}

@media only screen and (max-width: 1200px) {
    .top-section .section-block-wrapper {
        max-width: 65rem;
    }

    .top-section h1 {
        font-size: 4rem;
    }
}

@media only screen and (max-width: 550px) {
    .top-section h1 {
        font-size: 3rem;
    }
}


/* Sektion Galleri (.section-gallery)
========================================================================== */
.gallery-split .split-content {
    padding: 3rem 0 10rem 5rem;
}

.gallery-split .split-image {
    overflow: hidden;
}

/* Slick Settings */

.slick-list, 
.slick-track {
    height: 100%;
}

.slick-dots {
    position: absolute;
    bottom: 1rem;
    left: 50%;
    display: block;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
    transform: translateX(-50%);
}

.slick-dots li {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0 5px;
    padding: 0;
    cursor: pointer;
}

.slick-dots li button {
    font-size: 0;
    line-height: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    padding: 0;
    cursor: pointer;
    color: transparent;
    border: 0;
    outline: none;
    background: transparent;
}

.slick-dots li button:hover,
.slick-dots li button:focus {
    outline: none;
}

.slick-dots li button:hover:before,
.slick-dots li button:focus:before {
    opacity: 1;
}

.slick-dots li button:before {
    position: relative;
    width: 7px;
    height: 7px;
    content: '';
    text-align: center;
    opacity: .4;
    border-radius: 4px;
    background-color: rgb(var(--white-color));
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    transition: all .2s ease;
}

.slick-dots li.slick-active button:before {
    opacity: 1;
    background-color: rgb(var(--primary-color));
    width: 20px;
    transition: all .2s ease;
}


@media only screen and (max-width: 650px) {
    .gallery-split .split-content {
        padding: 3rem 0 3rem 3rem;
    }
}

/* Sektion Om oss (.section-about) 
========================================================================== */
/* Pill Wrapper */
.pill-wrapper {
	display: flex;
	flex-wrap: wrap;
	position: relative;
    margin-top: 2rem;
}

.pill-item {
	background-color: rgba(var(--primary-color), .2);
	border-radius: 4rem;
	padding: .5rem 2rem .5rem .5rem;
	margin: 0 1rem 1rem 0;
	display: flex;
	align-items: center;
}

.pill-icon {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 3rem;
	height: 3rem;
	background-color: rgb(var(--primary-color));
	font-size: 1.5rem;
	color: rgb(var(--white-color));
	margin: 0 1rem 0 0;
	border-radius: 50%;
}

.pill-item .small-title {
    font-family: inherit;
	font-size: 1.6rem;
	font-weight: 400;
	color: rgb(var(--black-color));
	line-height: 1;
	margin: 0;
	padding: 0;
}

/* ==========================================================================
Footer
========================================================================== */

.footer {
    background-color: rgb(var(--secondary-color));
}

.footer-container {
    max-width: 160rem;
    padding: 0 2rem;
    margin: 0 auto;
}

.footer a, .footer p {
    color: rgb(var(--gray-light-color), .6);
}

.footer a:hover {
    color: rgb(var(--primary-color));
}

.footer .small-title {
    color: rgb(var(--primary-color));
}

/* Footer top */
.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10rem 2rem 4rem 2rem;
    border-bottom: 1px dotted rgb(var(--primary-color));
}

.footer-menu {
    width: 20%;
    margin: 1.5rem 0;
}

.footer-menu-large {
    width: 30%;
}

.footer .small-title {
    font-size: 1.8rem;
    font-weight: 500;
}

.footer ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

/* Footer bottom */
.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem;
}

.footer-bottom p {
    font-size: 1.4rem;
}

.footer-bottom .circle-icon {
    width: 3rem;
    height: 3rem;
    color: rgb(var(--white-color));
}

.footer-bottom em::before {
    font-size: 1.4rem;
}

/* WebbEss Stamp  */
.webbess-stamp {
    display: flex;
    align-items: center;
    padding: 0;
    font-size: 1.3rem;
    font-weight: normal;
}

.webbess-stamp img {
    width: 3rem;
    margin-left: 1rem;
    filter: invert();
}

@media only screen and (max-width: 1024px) {

    /* Footer top */
    .footer-menu {
        width: 48%;
    }

    .footer-menu-large {
        width: 100%;
    }

    .footer-menu-large p {
        max-width: 55rem;
    }
}

@media only screen and (max-width: 750px) {

    /* Footer top */
    .footer-menu,
    .footer-menu-large {
        width: 100%;
    }

    /* Footer bottom */
    .footer-bottom {
        flex-direction: column-reverse;
        align-items: flex-start;
        padding: 2rem 0;
    }

    .footer-bottom .socials {
        margin-bottom: 1.5rem;
    }

}

@media only screen and (max-width: 450px) {

    /* Footer top */
    .footer-top {
        padding: 8rem 0 4rem 0;
    }

    /* Footer bottom */
    .footer-bottom {
        padding: 2rem 0;
    }
}